r3.out.ascii(1)

NAME
r3.out.ascii - Converts a 3D raster map layer into an ASCII text file

SYNOPSIS
r3.out.ascii
r3.out.ascii help
r3.out.ascii [-h] input=string [output=string] [dp=integer] [null=string]

  Flags:

-h  Suppress printing of header information

  Parameters:

input=string
    3dcell map to be converted to ASCII

output=string
    Name for ascii output file

dp=integer
    Number of decimal places for floats Options: 0-20 Default: 8

null=string
    Char string to represent no data cell Default: *

DESCRIPTION
Outputs G3D maps in ascii format. map is a valid G3D map in the current mapset. output is the name of an ascii file which will be written in the current working directory. If output is not specified then stdout is used. The -h flag may be used to suppress header information. The module is sensitive to region settings (set with g3.region).

  Flag:

-h  Suppress printing of header information

  Parameters:

grid3
    G3d raster map to be converted to ascii

output
    Name for ascii output file

dp  Number of decimal places for floats (options: 0-20) Default: 8

null
    Char string to represent no data cell Default: *

NOTES
The default format for the ascii file is equivalent to that required by r3.in.ascii. In particular, files output by r3.out.ascii with header information may be converted back to G3D maps with r3.in.ascii.

The format for the ascii file is:
north: floating point
south: floating point
east: floating point
west: floating point
top: floating point
bottom: floating point
rows: integer
cols: integer
levels: integer
The header is followed by cell values in floating point format. Cell values are output as a series of horizontal slices in row-major order. That is,
  (x, y, z) (x + 1, y, z) ... (x + cols, y, z)
(x, y + 1, z) (x + 1, y + 1, z) ... (x + cols, y + 1, z)
  and so on

One level maps can be imported with r.in.ascii (Raster 2D) after removing the header lines "top", "bottom" and "levels".

SEE ALSO
r3.in.ascii
g3.region

AUTHORS
Roman Waupotitsch, Michael Shapiro, Helena Mitasova, Bill Brown, Lubos Mitas, Jaro Hofierka

Last changed: $Date: 2005/02/09 22:34:40 $

Help Index